depdemo-inst.test   [plain text]


#! /bin/sh
# depdemo-inst.test - try installing from the ../depdemo subdirectory

# Test script header.
need_prefix=yes
if test -z "$srcdir"; then
  srcdir=`echo "$0" | sed 's%/[^/]*$%%'`
  test "$srcdir" = "$0" && srcdir=.
  test "${VERBOSE+set}" != "set" && VERBOSE=yes
fi
. $srcdir/defs || exit 1

# Check that things are built.
if test -f ../depdemo/depdemo; then :
else
  echo "You must run depdemo-make.test before $0" 1>&2
  exit 77
fi

# Change to our build directory.
cd ../depdemo || exit 1

echo "= Running $make install in ../depdemo"
$make install || exit 1

echo "= Executing installed programs"

status=0
if $prefix/bin/depdemo.static; then :
else
  echo "$0: cannot execute $prefix/bin/depdemo.static" 1>&2
  status=1
fi

if $prefix/bin/depdemo; then :
else
  echo "$0: cannot execute $prefix/bin/depdemo" 1>&2

  # Simple check to see if they are superuser.
  if test -w /; then :
  else
    echo "You may need to run $0 as the superuser."
  fi
  status=1
fi

exit $status